Summary: Server daemons for IMAP and POP network mail protocols.
Name: imap
Version: 2001a
Release: 4tr
License: BSD
Group: Network/Services
Source: ftp://ftp.cac.washington.edu/imap/imap-%{version}.tar.Z
Source1: imap.pamd
Source2: imap-2000-flock.c
Patch0: imap-2001a-trustix.patch
Patch1: imap-2000-vfs.patch
Patch2: imap-2001a-ssl.patch
Patch3: imap-2000c-flock.patch
Patch4: imap-2001a-boguswarning.patch
Patch5: imap-2001a-overflow.patch.bz2
Patch6: imap-2001-partial_read_exploit.patch.bz2
Buildroot: /var/tmp/%{name}-root
Requires: pam >= 0.59 inetd

%description
The imap package provides server daemons for both the IMAP (Internet
Message Access Protocol) and POP (Post Office Protocol) mail access
protocols.  The POP protocol uses a "post office" machine to collect mail
for users and allows users to download their mail to their local machine
for reading. The IMAP protocol provides the functionality of POP, but
allows a user to read mail on a remote machine without downloading it to
their local machine.

Install the imap package if you need a server to support the IMAP or the
POP mail access protocols.

%package devel
Summary: Development tools for programs which will use the IMAP library
Group: Libraries/Development

%description devel
This package contains the header files and static libraries for
developing programs which will use the imap library.

%prep

%setup -q
%patch0 -p1 -b .trustix
#%patch1 -p1 -b .vfs
%patch2 -p1 -b .ssl
#%patch3 -p1 -b .flock
%patch4 -p1 -b .boguswarn
%patch5 -p1 -b .overflow
%patch6 -p1 -b .partial_read
#cp $RPM_SOURCE_DIR/imap-2000-flock.c src/osdep/unix/flock.c

%build
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS -fPIC" lnp SPECIALAUTHENTICATORS=ssl \
     SSLTYPE=unix EXTRACFLAGS="-DDISABLE_POP_PROXT=1"
## create a shared library
gcc -shared -Wl,-soname,libimap.so c-client/*.o -o libimap.so.%{version}

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man8
install -m 644 ./src/ipopd/ipopd.8c $RPM_BUILD_ROOT%{_mandir}/man8/ipopd.8c
install -m 644 ./src/imapd/imapd.8c $RPM_BUILD_ROOT%{_mandir}/man8/imapd.8c
mkdir -p $RPM_BUILD_ROOT/usr/sbin
install -s -m 755 ./ipopd/ipop2d $RPM_BUILD_ROOT/usr/sbin
install -s -m 755 ./ipopd/ipop3d $RPM_BUILD_ROOT/usr/sbin
install -s -m 755 ./imapd/imapd $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/etc/pam.d
install -m 644 ${RPM_SOURCE_DIR}/imap.pamd $RPM_BUILD_ROOT/etc/pam.d/imap
install -m 644 ${RPM_SOURCE_DIR}/imap.pamd $RPM_BUILD_ROOT/etc/pam.d/pop
## Install the shared lib
mkdir -p $RPM_BUILD_ROOT/usr/lib
install -m 755 libimap.so.%{version} $RPM_BUILD_ROOT/usr/lib
ln -sf libimap.so.%{version} $RPM_BUILD_ROOT/usr/lib/libimap.so

mkdir -p $RPM_BUILD_ROOT/usr/lib
install -m 644 ./c-client/c-client.a $RPM_BUILD_ROOT/usr/lib
mkdir -p $RPM_BUILD_ROOT/usr/include/imap
install -m 644 ./c-client/*.h $RPM_BUILD_ROOT/usr/include/imap
install -m 644 ./src/osdep/tops-20/shortsym.h $RPM_BUILD_ROOT/usr/include/imap

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%config(noreplace) /etc/pam.d/imap
%config(noreplace) /etc/pam.d/pop
%{_mandir}/man8/ipopd.8c*
%{_mandir}/man8/imapd.8c*
%attr(0755,root,mail)	/usr/sbin/ipop2d
%attr(0755,root,mail)	/usr/sbin/ipop3d
%attr(0755,root,mail)	/usr/sbin/imapd
%doc README
/usr/lib/libimap*

%files devel
%doc docs/*
/usr/include/imap
/usr/lib/c-client.a

%changelog
* Fri Jul 12 2002 Christian H. Toldnes <christht@trustix.com> 2001a-4tr
- Removed all of the perl stuff in %post
- Removed Prereq on perl

* Tue Jul  3 2002 Christian H. Toldnes <christht@trustix.com> 2001a-3tr
- Added very ugly hack to fix /etc/services. Earlier versions have changed
  the pop3s-line to simap, and then the next update went from simap with
  995 to simap with 993, which became the second line of simap, and left 
  us with no pop3s line at all, making it impossible to get pop3s up and
  running.
  The perl shait that caused the bug in the first place should be removed
  completely, but not just yet. We must find an other way to fix it.

* Fri May 31 2002 Christian H. Toldnes <christht@trustix.com>
- Patches for buffer overflow and partial read exploit.

* Wed May 14 2002 Erlend Midttun <erlendbm@trustix.com>
- Upgrade to 2001a to fix pam.

* Mon Jun 11 2001 Erlend Midttun <erlendbm@trustix.com>
- Upgraded to 2000c.

* Thu Dec 14 2000 Erlend Midttun <erlendbm@trustix.com>
- Added SSL support
- Picked up 2000a.

* Sat Nov 25 2000 Erlend Midttun <erlendbm@trustix.com>
- Picked up imap 2000 release.
- Added flock and pam patches from Red Hat.

* Tue May 9 2000 Per Ivar Paulsen <perp@trustix.com>
- update to 4.7c2

* Tue May 2 2000 Per Ivar Paulsen <perp@trustix.com>
- update to 4.7c1

* Tue Jan 25 2000 Per Ivar Paulsen <perp@trustix.com>
- Initial release for the Trustix Secure Linux distribution.
- Added noreplace.
- Moved man and info pages to /usr/share adhering to FHS
- TODO: add better default configuration

* Thu Jan 13 2000 Preston Brown <pbrown@redhat.com>
- create static library in a subpackage 'devel' (#5098)

* Thu Jun 10 1999 Dale Lovelace <dale@redhat.com>
- add -fPIC option for sparc mod_php3 problems

* Fri Apr 09 1999 Cristian Gafton <gafton@redhat.com>
- ipop3d service name was changed to "pop" now. Clearly somebody that hasn't
  got a clue about PAM stuff is messing around with the source.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Sat Mar 13 1999 Cristian Gafton <gafton@redhat.com>
- verson 4.5
- loose the noflock patch

* Thu Dec 17 1998 Cristian Gafton <gafton@redhat.com>
- added a -vfs patch because sys/statvfs on glibc 2.1 is different from what
  is available on the sun...
- build against glibc 2.1

* Fri Sep 11 1998 Jeff Johnson <jbj@redhat.com>
- use only fcntl locking.

* Thu Sep 10 1998 Jeff Johnson <jbj@redhat.com>
- update to 4.4.
- removed g+s bit to imapd.

* Wed Jul 22 1998 Jeff Johnson <jbj@redhat.com>
- updated to 4.2.
- added g+s bit to imapd so that lock files can be created.

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Apr 08 1998 Cristian Gafton <gafton@redhat.com>
- Updated to the latest imap as of today...

* Wed Dec 10 1997 Cristian Gafton <gafton@redhat.com>
- Updated to the latest imap as of today...
- Updated the pam patch to reflect the new directory organization

* Thu Oct 23 1997 Michael K. Johnson <johnsonm@redhat.com>
- Fix patch for new PAM spec compliance.

* Thu Oct 02 1997 Michael K. Johnson <johnsonm@redhat.com>
- Comply with change in PAM spec.
- Use a buildroot.

* Mon Mar 03 1997 Michael K. Johnson <johnsonm@redhat.com>
- Moved from pam.conf to pam.d

* Mon Mar 03 1997 Erik Troan <ewt@redhat.com>
- Fixed buffer overrun in server_login().
